#include "vn-interface/math/matrix.h"

#include "vn-interface/types.h"

void vn_m3_init_fa(mat3f *m, const float *fa) {
  size_t i;

  for (i = 0; i < 9; i++)
    m->e[i] = fa[i];
}

mat3f vnm_negative_mat3f(mat3f m) {
  mat3f r;
  size_t i;

  for (i = 0; i < 3 * 3; i++)
    r.e[i] = -m.e[i];

  return r;
}
